gzip 1.3.12-3.2ubuntu0.1 source package in Ubuntu

Changelog

gzip (1.3.12-3.2ubuntu0.1) hardy-security; urgency=low

  * SECURITY UPDATE: denial of service or possible code execution via
    missing input sanitation
    - inflate.c: avoid creating undersized hufts table.
    - http://git.savannah.gnu.org/cgit/gzip.git/commit/?id=39a362ae9d9b007473381dba5032f4dfc1744cf2
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507263
    - CVE-2009-2624
  * SECURITY UPDATE: denial of service or possible code execution via
    integer underflow
    - unlzw.c: prevent integer underflow.
    - Patch thanks to Jim Meyering
    - CVE-2010-0001
 -- Marc Deslauriers <email address hidden>   Tue, 19 Jan 2010 16:16:48 -0500

Upload details

Uploaded by:
Marc Deslauriers on 2010-01-19
Uploaded to:
Hardy
Original maintainer:
Ubuntu Development Team
Component:
main
Architectures:
any
Section:
utils
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Hardy updates on 2010-01-20 main utils
Hardy security on 2010-01-20 main utils

Downloads

File Size MD5 Checksum
gzip_1.3.12.orig.tar.gz 451.3 KiB b5bac2d21840ae077e0217bc5e4845b1
gzip_1.3.12-3.2ubuntu0.1.diff.gz 20.6 KiB 35ac77f9806cfaf89b44ad13f036ebb0
gzip_1.3.12-3.2ubuntu0.1.dsc 690 bytes 26bb99c8353a1cea7817da3ac5b72936

View changes file

Binary packages built by this source

gzip: The GNU compression utility

 This is the standard GNU file compression utility, which is also the default
 compression tool for Debian. It typically operates on files with names
 ending in '.gz'.
 .
 This package can also decompress '.Z' files created with 'compress'.